policy_key_list Struct Reference

`#include <policy_key.h>`

## Data Fields

db_object_t * | dbo
db_result_list_t * | result_list
const db_result_t * | result
policy_key_t * | policy_key
int | object_store
policy_key_t ** | object_list
size_t | object_list_size
size_t | object_list_position
int | object_list_first
int | associated_fetch
policy_list_t * | policy_id_list

## Detailed Description

A list of policy key objects.

Definition at line 322 of file policy_key.h.

## Field Documentation

## associated_fetch

int policy_key_list::associated_fetch

Definition at line 332 of file policy_key.h.

Referenced by policy_key_list_copy(), policy_key_list_get_by_clauses(), and policy_key_list_get_by_policy_id().

## dbo

db_object_t* policy_key_list::dbo

Definition at line 323 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_free(), policy_key_list_get_by_clauses(), policy_key_list_get_by_policy_id(), policy_key_list_get_next(), policy_key_list_new(), policy_key_list_new_copy(), and policy_key_list_next().

## object_list

policy_key_t** policy_key_list::object_list

Definition at line 328 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_copy(), policy_key_list_free(), policy_key_list_get_by_clauses(), policy_key_list_get_by_policy_id(), policy_key_list_next(), and policy_key_list_size().

## object_list_first

int policy_key_list::object_list_first

Definition at line 331 of file policy_key.h.

Referenced by policy_key_list_copy(), policy_key_list_get_by_clauses(), policy_key_list_get_by_policy_id(), and policy_key_list_next().

## object_list_position

size_t policy_key_list::object_list_position

Definition at line 330 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_copy(), and policy_key_list_next().

## object_list_size

size_t policy_key_list::object_list_size

Definition at line 329 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_copy(), policy_key_list_free(), policy_key_list_get_by_clauses(), policy_key_list_get_by_policy_id(), policy_key_list_next(), and policy_key_list_size().

## object_store

int policy_key_list::object_store

Definition at line 327 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_copy(), policy_key_list_get_next(), policy_key_list_next(), policy_key_list_object_store(), and policy_key_list_size().

## policy_id_list

policy_list_t* policy_key_list::policy_id_list

Definition at line 333 of file policy_key.h.

Referenced by policy_key_list_copy(), and policy_key_list_free().

## policy_key

policy_key_t* policy_key_list::policy_key

Definition at line 326 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_free(), and policy_key_list_next().

## result

const db_result_t* policy_key_list::result

Definition at line 325 of file policy_key.h.

## result_list

db_result_list_t* policy_key_list::result_list

Definition at line 324 of file policy_key.h.

Referenced by policy_key_list_begin(), policy_key_list_copy(), policy_key_list_free(), policy_key_list_get_by_clauses(), policy_key_list_get_by_policy_id(), policy_key_list_get_next(), policy_key_list_next(), and policy_key_list_size().

The documentation for this struct was generated from the following file:

- src/db/policy_key.h